header
logo

Better Compatibility Checker

Description

The forge server compatibility checker is not always accurate and can cause some issues with end-users of a modpack when they add a server and it shows up as not compatible.

This mod fixes that issue when used by modpacks, as it will compare the modpack project id and the modpack version id set in a config file by the modpack author and display a tick if they match or an X if they do not match.

 

Both server and client are running the same version

Incompatible server or client version

 

How do I configure the mod?

 

It's very simple to configure the mod, first, you will need to open the bcc-common.toml in the config folder, then you will need to set the modpack name and the modpack version, click save and you're done.

Just remember to update the version when you update the modpack.

 

Note: Fabric config is named bcc.json

 

What happens if the mod is not installed on the server but is on the client?

This mod will check if the data needed is set first and if its not it will fall back to using the default forge implementation

 

Can I use the mod in a Modrinth modpack?

As long as the mod is downloaded from CurseForge by the end user, you can include this mod in your Modrinth modpack.

 

 

 

All Rights Reserved unless stated otherwise. Distribution permission is given to FeedTheBeast and CurseForge for use in modpacks